#!/bin/bash
set -e
set -x verbose

mkdir -p output build

bipc.sh -I . -p RescueRobot -d "RescueCompound()" \
    --gencpp-follow-used-packages \
		--gencpp-cc-I . \
		--gencpp-cc-extra-src ext_code/ext.cpp \
		--gencpp-output output

cd build
cmake ../output

cd ../output/
find . -name "*[hc]pp" -exec sed -i~ -e 's/#include <FieldConns\/PV__Base__/#include <Base\/PV__Base__/' {} +
find . -name "*[hc]pp" -exec sed -i~ -e 's/#include <RobotPackage\/PV__Base__/#include <Base\/PV__Base__/' {} +

cd ../build
make

echo "Finished. Run: ./build/system"
