#include "ext.hpp"

#define dir_modulus 15

typedef enum {
	north = 1, 
	east  = 2,
	south = 4,
	west  = 8
} dir_type;

typedef enum {
	safe = 0,
	hot = 1,
	burning = 2
} temperature_type;

const char* direction (int dir) {
	switch (dir) {
		case north: return "North";
		case east: return "East";
		case south: return "South";
		case west: return "West";
		default: return "nowhere";
	}
}

const char* alarm (int temperature) {
	switch (temperature) {
		case safe: return "safe";
		case hot: return "hot";
		case burning: return "burning";
		default: return "weird";
	}
}

int rotate_dir (int dir) {
	return (dir << 1) % dir_modulus;
}

int delta_x (int dir) {
	switch (dir) {
		case east: return 1;
		case west: return -1;
		default: return 0;
	}
}

int delta_y (int dir) {
	switch (dir) {
		case north: return -1;
		case south: return 1;
		default: return 0;
	}
}

